ScXMLMinimumEvaluator Class Reference
State Chart XML Classes

implements the evaluator for the minimum profile. More...

`#include <Inventor/scxml/ScXMLMinimumEvaluator.h>`

Inheritance diagram for ScXMLMinimumEvaluator:

## Public Member Functions

virtual SoType | getTypeId (void) const
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
virtual void | setStateMachine (ScXMLStateMachine *)
virtual ScXMLDataObj * | evaluate (const char *expression) const
virtual SbBool | setAtLocation (const char *location, ScXMLDataObj *obj)
virtual ScXMLDataObj * | locate (const char *location) const
virtual void | clearTemporaryVariables (void)
Public Member Functions inherited from ScXMLEvaluator
ScXMLStateMachine * | getStateMachine (void) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLEvaluator
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Additional Inherited Members

Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

implements the evaluator for the minimum profile.

- In()

## Member Function Documentation

## getTypeId()

SoType ScXMLMinimumEvaluator::getTypeId | ( | void |  | ) | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLEvaluator.

## setStateMachine()

void ScXMLMinimumEvaluator::setStateMachine | ( | ScXMLStateMachine * | sm | ) |

virtual

Override to perform actions when installed on a state machine.

Reimplemented from ScXMLEvaluator.

## evaluate()

ScXMLDataObj * ScXMLMinimumEvaluator::evaluate | ( | const char * | expression | ) | const

virtual

Returns the result of evaluating the expression. The only expression that is allowed is the In({ID}) predicate, and the result should, if all things go as they should, be of type ScXMLBoolDataObj.

Implements ScXMLEvaluator.

## setAtLocation()

SbBool ScXMLMinimumEvaluator::setAtLocation | ( | const char * | location,
|  | ScXMLDataObj * | obj )

virtual

Returns FALSE. The minimum profile does not implement the data module.

Implements ScXMLEvaluator.

## locate()

ScXMLDataObj * ScXMLMinimumEvaluator::locate | ( | const char * | location | ) | const

virtual

Returns NULL. The minimum profile does not implement the data module.

Implements ScXMLEvaluator.

## clearTemporaryVariables()

void ScXMLMinimumEvaluator::clearTemporaryVariables | ( | void |  | ) |

virtual

Does nothing.

Reimplemented from ScXMLEvaluator.

The documentation for this class was generated from the following files:

- ScXMLMinimumEvaluator.h
- ScXMLMinimumEvaluator.cpp